%global install_loc         %{_datadir}/eclipse/dropins
%global rseserver_install   %{_datadir}/eclipse-rse-server
%global rseserver_java      %{_datadir}/java/eclipse-rse-server
%global rseserver_config    %{_sysconfdir}/sysconfig/rseserver
%global qualifier	    201205300905

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.4
Release: %mkrel 3
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

# Following tarball generated by running fetch-rse.sh.
Source0: rse-fetched-src-R3_4.tar.gz
Source1: fetch-rse.sh
# Following property files are generated by fetch-rse.sh.
Source2: featureVersions.properties
Source3: pluginVersions.properties
Source4: notice.html
Source5: epl-v10.html

# Use Authen::pam to authenticate clients
Patch1: eclipse-rse-server-auth-pl.patch
# Fix classpath in daemon and server scripts to point
# to install locations
Patch2: eclipse-rse-server-scripts.patch

BuildRequires:    java-devel >= 1.5.0

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.8.0-0.21
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: apache-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 1:3.8.0-0.21
Requires: eclipse-emf >= 0:2.4.1
Requires: apache-commons-net >= 0:2.0

Group: Development/Java

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%package server
Summary: Eclipse Remote System Explorer Server
Group: Development/Java
Requires: perl
Requires: perl-Authen-PAM
Requires: java

%description server
The Remote System Explorer (RSE) framework server that can be used so clients can connect to this machine via RSE.

%prep
%setup -q -c

cp %{SOURCE4} .
cp %{SOURCE5} .

pushd org.eclipse.rse.services.dstore
%patch1
%patch2
popd

%build

rm -rf orbitdeps
mkdir orbitdeps
pushd orbitdeps
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.0.jar
popd

mkdir -p build

pushd build
cp %{SOURCE2} .
cp %{SOURCE3} .
popd

%{_bindir}/eclipse-pdebuild -f org.eclipse.tm.terminal -d "emf" \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{_bindir}/eclipse-pdebuild -f org.eclipse.rse.sdk \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{_bindir}/eclipse-pdebuild -f org.eclipse.rse.useractions \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse
install -d -m 755 %{buildroot}%{rseserver_install}
install -d -m 755 %{buildroot}%{rseserver_java}
install -d -m 755 %{buildroot}%{rseserver_config}

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.tm.terminal.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.sdk.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.useractions.zip

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_3.1.0*.jar
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_3.1.0.jar
popd

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services.dstore_*.jar dstore_miners.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.core_*.jar dstore_core.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.extra_*.jar dstore_extra_server.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services_*.jar clientserver.jar
# Remove server-specific jar files from plug-ins
jarname=`ls org.eclipse.rse.services.dstore_*.jar`
zip -d $jarname dstore_miners.jar
jarname=`ls org.eclipse.dstore.core_*.jar`
zip -d $jarname dstore_core.jar
jarname=`ls org.eclipse.dstore.extra_*.jar`
zip -d $jarname dstore_extra_server.jar
jarname=`ls org.eclipse.rse.services_*.jar`
zip -d $jarname clientserver.jar
popd

pushd org.eclipse.rse.services.dstore
pushd serverruntime/scripts/linux
cp *.pl %{buildroot}%{rseserver_install}
popd
pushd serverruntime/data
cp *.properties %{buildroot}%{rseserver_config}
cp *.dat %{buildroot}%{rseserver_install}
popd
popd

%files
%{install_loc}/rse
%doc org.eclipse.rse.sdk-feature/epl-v10.html
%doc org.eclipse.rse.sdk-feature/license.html

%files server
%{rseserver_install}
%{rseserver_java}
%{rseserver_config}
%config(noreplace) %{rseserver_config}/ssl.properties
%config(noreplace) %{rseserver_config}/rsecomm.properties
%doc notice.html
%doc epl-v10.html




%changelog

* Sat Jan 19 2013 dmorgan <dmorgan> 3.4-3.mga3
+ Revision: 389631
- Rebuild against fixed eclipse

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 349471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 3.4-1.mga3
+ Revision: 327480
- New version

* Thu Mar 17 2011 dmorgan <dmorgan> 3.2-1.mga1
+ Revision: 73188
- imported package eclipse-rse


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 5 2011 Alexander Kurtakov <akurtako@redhat.com> 3.2-2
- Fix broken symlink.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 3.2-1
- Update to 3.2 (Helios).

* Fri Mar 19 2010 Jeff Johnston <jjohnstn@redhat.com> 3.1.2-1
- Rebase to 3.1.2 (Galileo SR2 version).

* Thu Feb 25 2010 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-3
- Resolves: #567874
- Remove oro requirement as it is not needed.

* Tue Oct 27 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-2
- Update plugin and feature version property files.

* Tue Oct 20 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-1
- Move to 3.1.1 tarball.

* Fri Aug 21 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-2
- Add BuildArch noarch.

* Mon Aug 17 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-1
- Move to 3.1 tarball.

* Wed Jul 29 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-4
- Resolves #514630

* Tue Jul 28 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-3
- Restrict arch support to those supported by prereq CDT.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-1
- Initial release.
